> For the complete documentation index, see [llms.txt](https://docs.payum.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payum.dev/v2/be2bill/offsite.md).

# Be2Bill Offsite

In this chapter we are going to talk about the most common task: purchase of a product using [be2bill](http://www.be2bill.com/). We assume you already read basic [get it started](/v2/get-it-started.md). Here we just show you modifications you have to put to the files shown there.

### Installation

The preferred way to install the library is using [composer](http://getcomposer.org/). Run composer require to add dependencies to *composer.json*:

```bash
php composer.phar require payum/be2bill php-http/guzzle7-adapter
```

### config.php

Use this when you need a redirect to be2bill site. We have to only add the gateway factory. All the rest remain the same:

```php
<?php
//config.php

use Payum\Core\PayumBuilder;
use Payum\Core\Payum;

/** @var Payum $payum */
$payum = (new PayumBuilder())
    ->addGateway('be2bill_offsite', [
        'factory' => 'be2bill_offsite',
        'identifier' => 'REPLACE WITH YOURS',
        'password' => 'REPLACE WITH YOURS',
        'sandbox' => true,
    ])

    ->getPayum()
;
```

You have to also go to be2bill admin panel and configure return and notification urls. The urls you can generate with these code:

```php
<?php
//generate_urls.php

include __DIR__.'/config.php';

use Payum\Core\Payum;

/** @var Payum $payum */

$captureToken = $payum->getTokenFactory()->createCaptureToken(
    'be2bill_offsite', 
    null, 
    ['noinvalidate' => 1], 
    'done_url'
);

echo 'Capture url: ', $captureToken->getTargetUrl(), PHP_EOL;

$notifyToken = $payum->getTokenFactory()->createNotifyToken('be2bill_offsite', null);
echo 'Notify url: ', $notifyToken->getTargetUrl(), PHP_EOL;
```

***Note**: This step could be skipped if you are not using be2bill offsite.*

### prepare.php

Here you have to modify a `gatewayName` value. Set it to `be2bill` or `be2bill_offsite`. The rest remain the same as described in basic [get it started](/v2/get-it-started.md) documentation.

***

### Supporting Payum

Payum is an MIT-licensed open source project with its ongoing development made possible entirely by the support of community and our customers. If you'd like to join them, please consider:

* [Become a sponsor](https://github.com/sponsors/Payum)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payum.dev/v2/be2bill/offsite.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
